ranges::move_iterator< I > Struct Template Reference
Iterator

## Public Types

using | difference_type = iter_difference_t< I >
using | iterator_category = std::input_iterator_tag
using | iterator_type = I
using | reference = iter_rvalue_reference_t< I >
using | value_type = iter_value_t< I >

## Public Member Functions

template<typename O >
CPP_TEMPLATE_AUX_0 | m (requires ` convertible_to< O, I >) mmmove_iterator(move_iterator< O > const &i)
| move_iterator (I i)